summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2008-10-27 05:20:30 +0000
committerMike Frysinger <vapier@gentoo.org>2008-10-27 05:20:30 +0000
commit6f59828d38252570f77f4c2947b871abe543ae60 (patch)
tree600425067d448977910ae69a5dca43da6d732772 /eclass/linux-mod.eclass
parentFixed encoding in ChangeLog (diff)
downloadhistorical-6f59828d38252570f77f4c2947b871abe543ae60.tar.gz
historical-6f59828d38252570f77f4c2947b871abe543ae60.tar.bz2
historical-6f59828d38252570f77f4c2947b871abe543ae60.zip
pass CROSS_COMPILE=${CHOST}- to build process #194380
Diffstat (limited to 'eclass/linux-mod.eclass')
-rw-r--r--eclass/linux-mod.eclass8
1 files changed, 4 insertions, 4 deletions
diff --git a/eclass/linux-mod.eclass b/eclass/linux-mod.eclass
index 513115ddd68c..90b5c92acbc4 100644
--- a/eclass/linux-mod.eclass
+++ b/eclass/linux-mod.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/linux-mod.eclass,v 1.82 2008/09/30 05:27:42 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/linux-mod.eclass,v 1.83 2008/10/27 05:20:30 vapier Exp $
# Description: This eclass is used to interface with linux-info in such a way
# to provide the functionality required and initial functions
@@ -522,19 +522,19 @@ linux-mod_src_compile() {
econf ${ECONF_PARAMS} || \
die "Unable to run econf ${ECONF_PARAMS}"
fi
-
+
# This looks messy, but it is needed to handle multiple variables
# being passed in the BUILD_* stuff where the variables also have
# spaces that must be preserved. If don't do this, then the stuff
# inside the variables gets used as targets for Make, which then
# fails.
eval "emake HOSTCC=\"$(tc-getBUILD_CC)\" \
- CC=\"$(get-KERNEL_CC)\" \
+ CROSS_COMPILE=${CHOST}- \
LDFLAGS=\"$(get_abi_LDFLAGS)\" \
${BUILD_FIXES} \
${BUILD_PARAMS} \
${BUILD_TARGETS} " \
- || die "Unable to emake HOSTCC="$(tc-getBUILD_CC)" CC="$(get-KERNEL_CC)" LDFLAGS="$(get_abi_LDFLAGS)" ${BUILD_FIXES} ${BUILD_PARAMS} ${BUILD_TARGETS}"
+ || die "Unable to emake HOSTCC="$(tc-getBUILD_CC)" CROSS_COMPILE=${CHOST}- LDFLAGS="$(get_abi_LDFLAGS)" ${BUILD_FIXES} ${BUILD_PARAMS} ${BUILD_TARGETS}"
touch ${srcdir}/.built
cd ${OLDPWD}
fi